POST
Payer Edit
Update an existing payer profile.
Request
idPayer ID to update.
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129companyNameEnEnglish company name for business payers.
companyNameLocal company name for business payers.
countryPayer country.
addressEn1Primary address line of the payer.
addressEn2Secondary address line.
addressEn3Tertiary address line.
registerNoRegistration number.
registerDateRegistration date.
postcodePostal code.
emailEmail address.
areaCodePhone area code.
phoneNumberPhone number.
stateState or province.
cityCity.
subEntityTypePayer entity type.
firstNameFirst name for individual payers.
lastNameLast name for individual payers.
idTypeIdentity-document type.
idNumberIdentity-document number.
birthDateBirth date for individual payers.
idValidDateFromIdentity-document valid-from date.
idValidDateToIdentity-document expiry date.
signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/acct/editPayer' \
-H 'Content-Type: application/json' \
--data-raw '{
"addressEn1": "Nanshan Science & Technology Park, Shenzhen",
"addressEn2": "2all",
"addressEn3": "3",
"areaCode": "+86",
"city": "London",
"companyName": "卡玛有限公司 &sunshine",
"companyNameEn": "keyma LTD.",
"country": "GB",
"email": "324321@qq.com",
"id": 1984096429476806700,
"idType": "2",
"idValidDateFrom": "2006-08-04",
"idValidDateTo": "2046-08-04",
"merchantNo": 801129,
"phoneNumber": "15072871023",
"postcode": "518057",
"registerDate": "2005-08-04",
"registerNo": "4563456546",
"sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842282q4",
"state": "London",
"subEntityType": "0"
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
dataUpdate result placeholder.
{
"respCode": "20000",
"respMsg": "Success",
"data": null
}No error responses are documented for this endpoint.